package Services.CaptMouv;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;



@RestController
@SpringBootApplication
@RequestMapping("/CaptMouv/")
public class CaptMouvApplication {

	
	private double range;
	private boolean detection;
	private int nbrDetection;
	
	
	//Constructor
	public CaptMouvApplication() {
		
		this.range = 7;
		this.detection = false;
		this.nbrDetection = 0;
	}
	
	//Methodes
	@GetMapping("getRange/")
	public double getRange() {
		return range;
	}
	@GetMapping("setRange/")
	public void setRange(double range) {
		this.range = range;
	}
	@GetMapping("getDetection/")
	public boolean getDetection() {
		return this.detection;
	}
	@GetMapping("setDetection/")
	public void setDetection(boolean detection) {
		this.detection = detection;
	}
	
	@GetMapping("getNbrDetection/")
	public int getnbrDetection() {
		return this.nbrDetection;
	}
	
	@GetMapping("setNbrDetection/")
	public void setnbrDetection(int detection) {
		this.nbrDetection = detection;
	}
	
	
	
	
	public static void main(String[] args) {
		SpringApplication.run(CaptMouvApplication.class, args);
		
	}

}
